/* @(#)AboutDialog.java
 *
 * vfstagecontroller java package: A simple way to drive a microscope serial
 * controlled stage.
 * Copyright 2003(C) Policlinico Universitario di Udine
 * Written by: Federico Viel
            vielfede@libero.it

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

package vfstagecontroller;
import java.awt.*;
import java.awt.event.*;
/**
 * <p>Title: About dialog </p>
 * <p>Description: About dialog class to display the about dialog</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Policlinico universitario di Udine</p>
 * @author Federico Viel
 * @version 1.0
 */

public class AboutDialog extends Dialog{
  private String CR=".\n";
  private TextArea textArea1 = new TextArea();
  private Panel panel1 = new Panel();
  private Button ok_button = new Button();
  private BorderLayout borderLayout1 = new BorderLayout();
  private String appName="Serial Stage controller";
  private String Version="V. 1.0";
  private int year=2003;
  private String company="Policlinico Universitario di Udine";
  private String author="Federico Viel";
  private String copyrightownershipstring=", hereby\n"+
                       "disclaims all copyright interest in this program\n";
  private String GPLDisc="This program comes with ABSOLUTELY NO WARRANTY;\n"+//for details type `show w'.
                       "This is free software, and you are welcome to redistribute\n"+
                       "it under certain conditions; For details pleas see the GNU\n"+
                       "Genearal Public Licence\nhttp://www.opensource.org/licenses/gpl-license.php";//"type `show c' for details.\n"+
  private String copyright="Copyright (C) ";


  public AboutDialog(Frame parent,String  title, String msg){
    this(parent,title,msg,new Dimension(350, 250));
  }

  public AboutDialog(Frame parent,String  title, String msg, Dimension d) {
    super(parent,title,true);
    this.setSize(d);
    textArea1.setText(getAboutText());
    this.setLayout(borderLayout1);
    ok_button.setLabel("OK");
    ok_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        ok_button_actionPerformed(e);
      }
    });
    setResizable(false);
    add(textArea1, BorderLayout.CENTER);
    add(panel1, BorderLayout.SOUTH);
    panel1.add(ok_button, null);
    Point p=this.getParent().getLocation();
    p.translate(40,100);
    this.setLocation(p);
  }

  private void setAuthor(String a){
    author=a;
  }
  private void setProgramName(String a){
    appName=a;
  }
  private void setYear(int y){
    year=y;
  }
  void ok_button_actionPerformed(ActionEvent e) {
    this.setVisible(false);
  }
  public String getAboutText(){
    return appName+" "+Version+CR+copyright+year+CR+company+copyrightownershipstring+CR+"Written by:"+author+CR+"\n    ---\n"+GPLDisc;
  }
}