/* @(#)MessageDialog.java
 *
 * vfstagecontroller java package: A simple way to drive a microscope serial
 * controlled stage.
 * Copyright 2003(C) Policlinico Universitario di Udine
 * Written by: Federico Viel
            vielfede@libero.it

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

package vfstagecontroller;
import java.awt.*;
import java.awt.event.*;

/**
 * <p>Title: MessageDialog Class </p>
 * <p>Description: A class to create simple message dialog</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Policlinico Universitario di Udine</p>
 * @author Federico Viel
 * @version 1.0
 */

public class MessageDialog extends Dialog{
  public static int OK=1;
  public static int CANCEL=2;

  public int rValue;
  private Label label = new Label();
  private BorderLayout layout = new BorderLayout();
  private Panel panel1 = new Panel();
  private Button ok_button = new Button();
  private Button cancel_button = new Button();


  public MessageDialog(Frame parent,String  title, String msg) {
    this(parent,title,msg,Color.red,OK,"Ok");
  }
  public MessageDialog(Frame parent,String  title, String msg, String buttonText) {
    this(parent,title,msg,Color.red,OK,buttonText);
  }
  public MessageDialog(Frame parent,String  title, String msg,int mode) {
    this(parent,title,msg,Color.gray,mode,"Ok");

  }
  public MessageDialog(Frame parent,String  title, String msg, Color c, int mode,String buttonText) {
    super(parent,title,true);
    rValue=-1;
    this.setLayout(layout);
    this.setBackground(c);
    this.setResizable(true);
    label.setBackground(c);
    ok_button.setLabel(buttonText);
    ok_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        ok_button_actionPerformed(e);
      }
    });
    cancel_button.setLabel("Cancel");
    cancel_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        cancel_button_actionPerformed(e);
      }
    });
    this.add(label, BorderLayout.CENTER);
    this.add(panel1, BorderLayout.SOUTH);
    if (mode>=OK)
      panel1.add(ok_button, null);
    if (mode>=OK+CANCEL)
      panel1.add(cancel_button, null);
    label.setText(msg);
    Point p=this.getParent().getLocation();
    p.translate(40,60);
    this.setLocation(p);
    pack();
  }

  void ok_button_actionPerformed(ActionEvent e) {
    rValue=OK;
    this.setVisible(false);
  }
  void cancel_button_actionPerformed(ActionEvent e) {
    rValue=CANCEL;
    this.setVisible(false);
  }
}